<?php

if (!defined("_ECRIRE_INC_VERSION")) {
	return;
}

function ajouter_logos_mots() {
	
	include_spip('inc/utils');
	include_spip('inc/charsets');
	include_spip('action/editer_document');
	include_spip('action/ajouter_documents');
	
	// retrouver le logo du groupe
	$id_groupe = sql_getfetsel('id_groupe','spip_groupes_mots',"titre LIKE '%_marker_icon%'");
	
	spip_log("N° groupe des icones legende = $id_groupe",'gis_plus' );
	
	// Pour ajouter les logos sur les mots-clefs de ce groupe
	//1 lister les images du dossier images/logos_marker/
	//2 importer ces images
	//3 les lier aux mots avec le role "logo"
	
	$result = sql_select('id_mot,titre', "spip_mots", "id_groupe=$id_groupe");
	while ($row = sql_fetch($result)){
		$id_mot = $row['id_mot'];
		$titre = $row['titre'];
		$titre_img = translitteration(corriger_caracteres($titre));
		$titre_img = strtolower(str_replace(' ','_',$titre));
		$source = find_in_path(_DIR_PLUGIN_GIS_PLUS.'images/'.$titre_img.'.png');
		//logo_modifier($objet, $id_objet, $etat, $source);
		//logo_modifier('mot', $id_mot, 'on', $source);
		//$local = copie_locale($source);
		$fichier = $source;
			$files = array();
			$files[] = array('tmp_name' => $fichier, 'name' => basename($fichier));
			$ajouter_documents = charger_fonction('ajouter_documents', 'action');
			$liste = array();
			$id_document = $ajouter_documents('new', $files, '', 0, 'image', $liste);
			
			include_spip('action/editer_liens');
			objet_associer(
				array('document' => $id_document),
				array('mot' => $id_mot),
				array('role' => 'logo')
			);
	}
	
}